Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.expression
Class VariableExpressionEnricher

    java.lang.Object
      org.mule.expression.VariableExpressionEnricher

All Implemented Interfaces:
  ExpressionEnricher, NamedObject

    public class VariableExpressionEnricher

extends Object
implements ExpressionEnricher

Field Summary
`static String` | `NAME`

Constructor Summary
`VariableExpressionEnricher()`

Method Summary
`void` | `enrich(String expression, MuleMessage message, Object object)` Enriches the message with the object
`String` | `getName()` Gets the name of the object
`void` | `setName(String name)` Sets the name of the object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### VariableExpressionEnricher

    public VariableExpressionEnricher()

Method Detail

### enrich

    public void enrich(String expression,
                       MuleMessage message,
                       Object object)

  Description copied from interface: `ExpressionEnricher`
  Enriches the message with the object

  Specified by:
    `enrich` in interface `ExpressionEnricher`

### getName

    public String getName()

  Description copied from interface: `NamedObject`
  Gets the name of the object

  Specified by:
    `getName` in interface `NamedObject`
  Returns:
    the name of the object

### setName

    public void setName(String name)

  Description copied from interface: `NamedObject`
  Sets the name of the object

  Specified by:
    `setName` in interface `NamedObject`
  Parameters:
    `name` - the name of the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.